# GitLab - Git repository
# Port: 8929
# Self-hosted Git and CI/CD

version: '3.6'
services:
  web:
    image: 'gitlab/gitlab-ce:latest'
    restart: unless-stopped
    hostname: 'gl.vish.gg'
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url 'http://gl.vish.gg:8929'
        gitlab_rails['gitlab_shell_ssh_port'] = 2224
    ports:
      - 8929:8929/tcp
      - 2224:22
    volumes:
      - /volume1/docker/gitlab/config:/etc/gitlab
      - /volume1/docker/gitlab/logs:/var/log/gitlab
      - /volume1/docker/gitlab/data:/var/opt/gitlab
    shm_size: '256m'
